Package net.snowflake.client.api.pooling

## Class SnowflakeConnectionPoolDataSourceFactory

- java.lang.Object
- - net.snowflake.client.api.pooling.SnowflakeConnectionPoolDataSourceFactory

    public class SnowflakeConnectionPoolDataSourceFactory
    extends Object

Factory for creating `SnowflakeConnectionPoolDataSourceImpl` instances.

This factory provides methods to create different types of Snowflake Connection Pool Data Source implementations. Use this factory instead of directly instantiating Connection Pool Data Source classes.

Example usage:

     SnowflakeConnectionPoolDataSource ds = SnowflakeConnectionPoolDataSourceFactory.createConnectionPoolDataSource();
     ds.setAccount("myaccount");
     ds.setUser("myuser");
     ds.setPassword("mypassword");
     ds.setDatabase("mydb");
     ds.setSchema("myschema");
     ds.setWarehouse("mywh");

     try (Connection conn = ds.getConnection()) {
       // use connection
     }

See Also:
  `SnowflakeConnectionPoolDataSourceImpl`

### Method Summary

All Methods Static Methods Concrete Methods
`static SnowflakeConnectionPoolDataSource` `createConnectionPoolDataSource()` Creates a new SnowflakeConnectionPoolDataSource instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createConnectionPoolDataSource

    public static SnowflakeConnectionPoolDataSource createConnectionPoolDataSource()

Creates a new SnowflakeConnectionPoolDataSource instance.

Returns:
  a new SnowflakeConnectionPoolDataSource instance